<template>
  <li>
    <h3>{{ fullName }}</h3>
    <h4>${{ this.email }}/hour</h4>
<!--    <div>-->
<!--      <base-badge v-for="area in areas" :key="area" :type="area" :title="area"></base-badge>-->
<!--    </div>-->
    <div class="actions">
      <base-button mode="outline" link :to="coachContactLink">Contact</base-button>
      <base-button link :to="coachDetailsLink">View Details</base-button>
    </div>
  </li>
</template>

<script>
export default {
  props: ['id', 'firstname', 'lastname', 'email', 'localisation', 'createdAt', 'username'],
  computed: {
    fullName() {
      return this.firstname + ' ' + this.lastname;
    },
    coachContactLink() {
      return this.$route.path + '/' + this.id + '/contact'; // /coaches/c1/contact
    },
    coachDetailsLink() {
      return this.$route.path + '/' + this.id; // /coaches/c1
    },
  },
};
</script>

<style scoped>
li {
  margin: 1rem 0;
  border: 1px solid #74146c;
  border-radius: 12px;
  padding: 1rem;
}

h3 {
  font-size: 1.5rem;
}

h3,
h4 {
  margin: 0.5rem 0;
}

div {
  margin: 0.5rem 0;
}

.actions {
  display: flex;
  justify-content: flex-end;
}
</style>